Rotate a webhook signing secret
POST
/webhooks/{id}/rotate-secret
Generates a new HMAC-SHA256 signing secret for the endpoint. Old signatures are no longer valid after rotation.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Idempotency-Key
string
Unique identifier used to replay requests safely.
Responses
Section titled “Responses”Webhook endpoint with the new secret.
Media typeapplication/json
object
object
string
data
array
has_more
boolean
Example
{ "object": "list"}Error response.
Media typeapplication/json
object
error
required
string
message
string
code
string
details
object
Example generated
{ "error": "example", "message": "example", "code": "example", "details": {}}Too many requests.
Media typeapplication/json
object
error
required
string
message
string
code
string
details
object
Example generated
{ "error": "example", "message": "example", "code": "example", "details": {}}Headers
Section titled “Headers”RateLimit-Limit
integer
Maximum requests per window.
RateLimit-Remaining
integer
Requests remaining in the current window.
RateLimit-Reset
integer
Unix seconds when the window resets.
Retry-After
integer
Seconds to wait before retrying (on 429/handled outages).